Subject: [alpine-aports] [PATCH] testing/libfastjson: new aport

From: Ashley Sommer <[email-masked]>
Date: Tue, 3 May 2016 14:07:20 +1000

https://github.com/rsyslog/libfastjson
libfastjson is a fork of json-c by the developers of rsyslog, used in rsyslog v8.17 and later
---
 testing/libfastjson/APKBUILD       | 45 ++++++++++++++++++++++++++++++++++++++
 testing/libfastjson/musl-fix.patch | 13 +++++++++++
 2 files changed, 58 insertions(+)
 create mode 100644 testing/libfastjson/APKBUILD
 create mode 100644 testing/libfastjson/musl-fix.patch

diff --git a/testing/libfastjson/APKBUILD b/testing/libfastjson/APKBUILD
new file mode 100644
index 0000000..64f7a84
--- /dev/null
+++ b/testing/libfastjson/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Ashley Sommer <[email-masked]>
+# Maintainer: Ashley Sommer <[email-masked]>
+pkgname=libfastjson
+pkgver=0.99.2
+pkgrel=0
+pkgdesc="A fork of the json-c library for rsyslog, optimized for liblognorm processing."
+url="http://www.rsyslog.com/"
+arch="all"
+license="MIT"
+makedepends="musl-dev autoconf automake libtool"
+subpackages="$pkgname-dev pkgname-dbg"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/rsyslog/$pkgname/archive/v$pkgver.tar.gz
+        "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+        local i
+        cd "$_builddir"
+        for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+                esac
+        done
+}
+
+build() {
+        cd "$_builddir"
+        sh autogen.sh \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="72c71fcc8ca9f6d2fd84a42f27f21124  libfastjson-0.99.2.tar.gz"
+sha256sums="fcdca0c4702362de3db3f02c8da05f985b54a9eccd618af41730409b75d10a8f  libfastjson-0.99.2.tar.gz"
+sha512sums="a62682886d36139c1cf9eb2454071d239cac66b076d94be90627f7062bb104102a19b231a5851586347d64c2065c2ba57bc115c6730e39ad78df61f22055635f  libfastjson-0.99.2.tar.gz"
diff --git a/testing/libfastjson/musl-fix.patch b/testing/libfastjson/musl-fix.patch
new file mode 100644
index 0000000..bfd20b5
--- /dev/null
+++ b/testing/libfastjson/musl-fix.patch
@@ -0,0 +1,13 @@
+--- rsyslog-8.16.0/runtime/rsyslog.h
++++ rsyslog-8.16.0-musl/runtime/rsyslog.h
+@@ -643,3 +643,10 @@
+ #endif
+
+ #endif /* multi-include protection */
++
++/*  musl patches for alpine */
++#define ACCESSPERMS (S_IRWXU|S_IRWXG|S_IRWXO)
++#define GLOB_BRACE 0
++#ifndef WAIT_ANY
++#define WAIT_ANY (-1)
++#endif
-- 
2.8.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---